./x11/kde-runtime4, Runtime requirements for the KDE integrated X11 desktop

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 15.12.0nb55, Package name: kde-runtime4-15.12.0nb55, Maintainer: markd

The kde-runtime package is the second mandatory package (besides kdelibs)
for the K Desktop Environment. Here we have various applications and
infrastructure files and libraries. Here is an overview of the directories:

* drkonqi
Produces a stack trace for developers if an app crashes.
* kcontrol
The KDE Control Center allows you to tweak the KDE settings.
* kdebugdialog
Allows you to specify which debug messages you want to see.
* kdesktop
You guessed it: the desktop above the panel.
* kdesu
A graphical front end to "su".
* kfind
File find utility (standalone and in Konqueror's file manager).
* khelpcenter
Used to to read all great documentation about KDE, unix man pages, etc
* kioslave
Infrastructure that helps make every application internet enabled
* kreadconfig
A tool for shell scripts to get info from KDE's config files.
* kstart
Launches applications with special window properties such as iconified, etc.


Required to run:
[sysutils/desktop-file-utils] [graphics/hicolor-icon-theme] [graphics/exiv2] [multimedia/xine-lib] [net/samba] [net/openslp] [security/gnupg2] [x11/qt4-tools] [x11/qt4-libs] [x11/qt4-qdbus] [security/qca2] [audio/libcanberra] [multimedia/phonon] [audio/pulseaudio] [misc/kdepimlibs4] [graphics/oxygen-icons] [x11/kdelibs4] [misc/attica] [graphics/libwebp] [x11/libkactivities4]

Required to build:
[pkgtools/x11-links] [devel/boost-headers] [devel/automoc4] [x11/xcb-proto] [x11/fixesproto4] [pkgtools/cwrappers] [x11/xorgproto]

Master sites: (Expand)

SHA1: 30da08dfb51fade220df7f8cf3e3eab5669a2e18
RMD160: 37e6c3693e81b31a4b92a5eeb35f8c84602bf86d
Filesize: 7718.578 KB

Version history: (Expand)


CVS history: (Expand)


   2021-04-07 22:49:16 by Mark Davies | Files touched by this commit (2)
Log message:
kde-runtime4: make samba option off by default

The samba3 dependency conflicts with newer kde elements that require samba4
so switch off by default.  If someone really requires this option as well
as newer kde bits could bump the dependency to samba4 as its quite happy to
build against that.
   2021-02-07 07:30:42 by Ryo ONODERA | Files touched by this commit (357)
Log message:
*: Recursive revbump from audio/pulseaudio-14.2.nb1
   2021-01-01 10:52:45 by Ryo ONODERA | Files touched by this commit (357)
Log message:
*: Recursive revbump from audio/pulseaudio-14.0
   2021-01-01 09:24:59 by Ryo ONODERA | Files touched by this commit (266)
Log message:
*: Recursive revbump from boost-1.75.0
   2020-12-04 21:45:51 by Nia Alarie | Files touched by this commit (456)
Log message:
Revbump packages with a runtime Python dep but no version prefix.

For the Python 3.8 default switch.
   2020-12-04 05:56:20 by Taylor R Campbell | Files touched by this commit (391)
Log message:
Revbump for openpam cppflags change months ago, belatedly.
   2020-11-05 10:09:30 by Ryo ONODERA | Files touched by this commit (1814)
Log message:
*: Recursive revbump from textproc/icu-68.1
   2020-10-15 22:26:35 by matthew green | Files touched by this commit (1)
Log message:
don't force-include pulseaudio, let it come from options.mk.